nav {
  flex: 1;
  height: 50px;
  line-height: 50px;
  background: #fff;
  color: black;
  font-size: 14px;
  padding: 0 50px;
  display: flex;
  justify-content: space-between;
}

.chat {
  flex: 1;
  background-color: #f2f2f3;
  background-repeat: no-repeat;
  background-position: center top;
  background-size: cover;
  width: 100%;
  height: 440px;
}

.empty-chat-holder {
  width: 100%;
  height: 200px;
}

.empty-chat {
  position: relative;
  margin: auto;
  top: 80px;
  right: 0;
  bottom: 0;
  left: 0;
  width: 100%;
}

.empty-chat h2 {
  color: #1546dc;
  font-family: Abril Fatface, sans-serif;
  padding: 0;
  font-size: 2rem;
  margin: 25px auto 15px;
}

.empty-chat-holder img {
  width: 100%;
  height: 100%;
}

.container {
  margin: auto;
  min-height: 600px;
  height: calc(1024px - 20%);
  font-family: sans-serif;
  letter-spacing: 0.5px;
  background: #f8f9fb;
  padding: 0;
  box-shadow: 0 0 50px rgba(0, 0, 0, 0.2);
  border-radius: 7px;
  box-sizing: border-box;
  border: 1px solid #BFCDD8;
}

/* width */
#style-questions-list::-webkit-scrollbar {
  width: 5px;
  height: 5px;
}

/* Track */
#style-questions-list::-webkit-scrollbar-track {
  background: #f1f1f1;
}

/* Handle */
#style-questions-listt::-webkit-scrollbar-thumb {
  background: #888;
}

/* Handle on hover */
#style-questions-list::-webkit-scrollbar-thumb:hover {
  background: #555;
}

.style-user-select {
  .el-input__suffix {
      right: 6px;
  }

  .el-select .el-input .el-select__caret {
      color: transparent;
  }

  .el-input__suffix-inner {
    background-image: url('../assets/icon-filter.svg');
    background-repeat: no-repeat;
    background-size: 15px;
    background-position: initial;
  }
}

.questions-list {
  height: 760px;
  padding: 4px 0px;
  flex-grow: 1;
  overflow-y: auto;
  z-index: 1;
}

.questions-containers {
  cursor: pointer;
  background-color: #ffffff;
  padding: 0 16px;
  border-top: 1px solid #f2f2f2;

  .img-container {
    padding: 0 0 10px 5px;
    margin-top: 16px;
    flex: none;
    display: flex;
    align-items: center;

    .avatar {
      width: 37px;
      height: 37px;
    }
  }

  .questions-details {
    align-items: center;
    width: 850px;

    .name-detail {
      text-align: left;
      align-items: center;
      line-height: normal;
      display: contents;

      .user-name {
        float: left;
        padding: 0 13px;
        font-size: 15px;
        font-weight: 600;
      }

      .img-like {
        position: absolute;
        right: -22px;
        img {
          width: 24px;
        }
        .moderasi-switch {
          padding-left: 10px;
          padding-top: 10px;
        }
      }

    }
    .last-messages {
      text-align: left;
      align-items: center;
      line-height: normal;
      width: 100%;
      display: flex;
      .date-last-message {
        color: rgba(0,0,0,.45);
        // padding-left: 15px;
        font-size: 11px;
        padding: 4px 15px;
      }
      .message{
        font-size: 16px;
        padding: 0 13px;
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
      }
    }
  }
}


.message-containers {
  cursor: pointer;
  background-color: #ffffff;
  flex-direction: row;
  pointer-events: all;
  position: relative;
  border-top: 1px solid #f2f2f2;
  .img-container {
    padding: 0 0 10px 5px;
    margin-top: 16px;
    flex: none;
    display: flex;
    align-items: center;

    .avatar {
      width: 37px;
      height: 37px;
    }
  }
  .username {
    font-size: 15px;
    font-weight: 600;
  }
  .datetime {
    color: rgba(0,0,0,.45);
    font-size: 11px;
    max-width: 100%;
    overflow: hidden;
    padding: 4px 0;
    .img-like {
      float: right;
      padding-bottom: 5px;
    }
  }
  .last-messages {
    overflow-wrap: break-word;
  }
}
.msg-header {
  width: 100%;
  height: 70px;
  border-bottom: none;
  background-color: #fff;
  border-radius: 7px 7px 0 0;
  padding: 0 20px;
  display: flex;
  align-items: center;
}

.active {
  font-family: Roboto, sans-serif;
  width: 120px;
  float: left;
}

.active h5 {
  padding: 10px;
  color: #444;
  font-size: 18px;
  font-weight: 500;
  margin: 0;
}

.active h6 {
  font-size: 10px;
  line-height: 2px;
  color: #fff;
}

.header-icons {
  width: 120px;
  float: right;
  margin-right: 10px;
}

.header-icons span {
  line-height: 70px;
  cursor: pointer;
  font-size: 14px;
}

.header-icons .fa {
  cursor: pointer;
  margin: 10px;
}


.msg-page {
  height: 480px;
  overflow-y: auto;
  padding-bottom: 50px;
}

#triangle-right {
  width: 0;
  height: 0;
  border-top: 50px solid transparent;
  border-left: 100px solid red;
  border-bottom: 50px solid transparent;
}

.time {
  color: #777;
  display: block;
  font-size: 12px;
  margin: 8px 0 0;
}

.input-group {
  margin-right: 20px;
  border-top: 1px solid #DEE6EB;
  width: 100% !important;
  background-color: #fff;
  height: 100%;
  border-radius: 0 0 7px 7px
}

.input-group input {
  height: 100%;
  background: #fff;
}

.input-group ::placeholder {
  color: #C0C0C0 !important;
}

.form-control {
  border: none !important;
  border-radius: 20px !important;
}

.input-group-text {
  background: transparent !important;
  border: none !important;
}

.input-group .fa {
  color: #007bff;
  float: right;
}

.bottom-icons {
  float: left;
  margin-top: 17px;
  width: 30% !important;
  margin-left: 22px;
}

.bottom-icons .fa {
  color: #fff;
  padding: 5px;
}

.msg-bottom {
  height: 60px;
  background-color: #007bff;
  border-radius: 0px 0px 10px 10px;
  position: absolute;
  z-index: 10;
  left: 0;
  bottom: 0;
  width: 100%;
}

.message-form {
  height: 100%;
}

.chat-page {
  position: relative;
}

.logo {
  margin-right: 7px;
}

.nav-left-section {
  display: flex;
  align-items: center;
  .avatar {
    width: 37px;
    height: 37px;
    border-radius: 18px;
  }
}
.nav-right-section {
  display: flex;
  align-items: center;
}

nav .spinner {
  margin-left: 15px;
  width: 64px;
}

.sending-message-spinner {
  margin-right: 20px;
}

.message-input {
  .el-input-group__append {
    background: white;
  }
}

.empty-chat-sub-title {
  text-align: center;
  color: #555;
  font-size: 18px;
}

.questions-details {
  font-size: 12px;
}

.loading-messages-container {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  margin-top: 150px;
}

.loading-text {
  font-family: Roboto, sans-serif;
  color: #1546dc;
  font-size: 25px;
  margin-top: 20px;
}

.loading-messages-container .spinner svg {
  stroke: #CCD7F0;
}

@media (max-width: 770px) {
  .chat {
    height: 730px;
  }
  .msg-page {
    height: 730px;
  }
  .questions-containers {
    .questions-details {
      width: 590px ;
    }
  }
  .questions-list {
    height: 880px;
  }
}

@media (max-width: 600px) {
  .questions-containers {
    .questions-details {
      width: 460px ;
    }
  }
}

@media (max-width: 450px) {
  .message-containers {
    .message-content{
      padding-left: 30px;
    }
  }
  .chat {
    height: 410px;
  }
  .msg-page {
    height: 410px;
  }
  .questions-list {
    height: 540px;
  }
  .outgoing-chats-img {
    display: none;
  }
  .received-chats-img {
    display: none;
  }
  .received-msg-inbox p {
    left: 0;
    width: 100%;
  }
  .received-msg-inbox p:after {
    display: none;
  }
  .received-msg-inbox {
    width: 100%;
  }
  .received-msg {
    width: 100%;
  }
  .outgoing-chats-msg {
    width: 100%;
  }
  .outgoing-chats-msg p {
    width: 100%;
  }
  .outgoing-chats-msg p::before {
    display: none;
  }
  .questions-containers {
    .questions-details {
      padding: 0 20px;
      width: 290px;
    }
  }
}
